Bug 1061543 - out-of-bounds access in XSetDeviceButtonMapping
Summary: out-of-bounds access in XSetDeviceButtonMapping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1061466
Blocks: 1061541
TreeView+ depends on / blocked
 
Reported: 2014-02-05 03:20 UTC by Peter Hutterer
Modified: 2014-10-14 04:53 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-server-1.15.0-20.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1061466
Environment:
Last Closed: 2014-10-14 04:53:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1376 normal SHIPPED_LIVE xcb-util, xorg-x11-drivers, and mesa bug fix and enhancement update 2014-10-14 01:11:03 UTC

Description Peter Hutterer 2014-02-05 03:20:58 UTC
+++ This bug was initially created as a clone of Bug #1061466 +++

Description of problem:
XSetDeviceButtonMapping takes a user-specified map of button mappings (with a user-specified length). The server checks if each button is down before applying a mapping but it erroneously treats each button number as an array index instead of a bitflag, causing out-of-bounds access on the fixed-size array.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.14.4-5.fc20.x86_64

--- Additional comment from Fedora Update System on 2014-02-04 18:29:02 EST ---

xorg-x11-server-1.14.4-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.14.4-6.fc20

Comment 2 Peter Hutterer 2014-08-20 04:06:46 UTC
xorg-x11-server-1.15.0-20.el6 is available in brew

Comment 4 errata-xmlrpc 2014-10-14 04:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1376.html


Note You need to log in before you can comment on or make changes to this bug.